Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_string_append_c()

Warning

Deprecated since version 1.29.0.

## Synopsis

    void
    bson_string_append_c (bson_string_t *string, char str);

## Parameters

- `string`: A bson_string_t.

- `str`: An ASCII char.

## Description

Appends `c` to the string builder `string`.

Warning

The length of the resulting string (including the `NULL` terminator) MUST NOT exceed `UINT32_MAX`.